Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.search
Class SQLGenerator

    java.lang.Object
      oracle.ifs.search.SQLGenerator

    public class SQLGenerator

extends java.lang.Object

The `S_SQLGenerator` class encapsulates SQL generation functionality.

See Also:
  `SearchSpecification`, `SearchQualification`, `Search`
(Unpublished)

Field Summary
`protected S_LibrarySession` | `m_Session`
`protected SQLGeneration_Helper` | `m_SQLHelper`

Method Summary
`protected static SQLGenerator` | `constructGenerator(S_LibrarySession sess)`
`static void` | `disposeGenerator(S_LibrarySession session)` Disposes any previously-constructed SQLGenerator for the specified session.
`protected java.lang.String` | `generateFromClause(AttributeSearchSpecification asp)`
`protected java.lang.String` | `generateOrderByClause(AttributeSearchSpecification asp, oracle.ifs.search.ContextScoreVisitor vis)`
`protected java.lang.String` | `generateSecurityClause(AttributeSearchSpecification asp, java.lang.String ownerValue)`
`protected java.lang.String` | `generateSelectList(AttributeSearchSpecification asp, boolean searchCountOnly)`
`protected java.lang.String` | `generateSubClassClause(AttributeSearchSpecification asp)`
`protected java.lang.String` | `generateViewSelectList(AttributeSearchSpecification asp, ViewSpecification vsp)`
`protected java.lang.String` | `generateWhereClause(AttributeSearchSpecification asp, java.lang.String ownerValue)`
`protected java.lang.String[]` | `getOrderAttributes(SearchSpecification sp, java.lang.String clss, java.lang.String name, oracle.ifs.search.ContextScoreVisitor vis)`
`protected java.lang.String` | `getSQLStatement(java.lang.String prefix, AttributeSearchSpecification asp, boolean searchCountOnly)`
`protected java.lang.String` | `getSQLStatement(java.lang.String prefix, ContextSearchSpecification csp, ContextTable[] ctxTabs, boolean searchCountOnly)`
`protected java.lang.String` | `getViewStatement(ViewSpecification vsp, AttributeSearchSpecification asp)`
`protected java.lang.String` | `getViewStatement(ViewSpecification vsp, ContextSearchSpecification csp, ContextTable[] ctxTabs)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_Session

    protected S_LibrarySession m_Session

(Unpublished)

### m_SQLHelper

    protected SQLGeneration_Helper m_SQLHelper

(Unpublished)

Method Detail

### constructGenerator

    protected static SQLGenerator constructGenerator(S_LibrarySession sess)

  (Unpublished)

### disposeGenerator

    public static void disposeGenerator(S_LibrarySession session)

  Description copied from class: `SQLGenerator`
  Disposes any previously-constructed SQLGenerator for the specified session.

  Parameters:
    `session` - the session
  (Unpublished)

### getSQLStatement

    protected java.lang.String getSQLStatement(java.lang.String prefix,
                                               AttributeSearchSpecification asp,
                                               boolean searchCountOnly)
                                        throws IfsException

  Throws:
    `IfsException`
  (Unpublished)

### getSQLStatement

    protected java.lang.String getSQLStatement(java.lang.String prefix,
                                               ContextSearchSpecification csp,
                                               ContextTable[] ctxTabs,
                                               boolean searchCountOnly)
                                        throws IfsException

  Throws:
    `IfsException`
  (Unpublished)

### generateSelectList

    protected java.lang.String generateSelectList(AttributeSearchSpecification asp,
                                                  boolean searchCountOnly)
                                           throws IfsException

  Throws:
    `IfsException`
  (Unpublished)

### generateFromClause

    protected java.lang.String generateFromClause(AttributeSearchSpecification asp)
                                           throws IfsException

  Throws:
    `IfsException`
  (Unpublished)

### generateWhereClause

    protected java.lang.String generateWhereClause(AttributeSearchSpecification asp,
                                                   java.lang.String ownerValue)
                                            throws IfsException

  Throws:
    `IfsException`
  (Unpublished)

### generateSecurityClause

    protected java.lang.String generateSecurityClause(AttributeSearchSpecification asp,
                                                      java.lang.String ownerValue)
                                               throws IfsException

  Throws:
    `IfsException`
  (Unpublished)

### generateSubClassClause

    protected java.lang.String generateSubClassClause(AttributeSearchSpecification asp)
                                               throws IfsException

  Throws:
    `IfsException`
  (Unpublished)

### getOrderAttributes

    protected java.lang.String[] getOrderAttributes(SearchSpecification sp,
                                                    java.lang.String clss,
                                                    java.lang.String name,
                                                    oracle.ifs.search.ContextScoreVisitor vis)
                                             throws IfsException

  Throws:
    `IfsException`
  (Unpublished)

### generateOrderByClause

    protected java.lang.String generateOrderByClause(AttributeSearchSpecification asp,
                                                     oracle.ifs.search.ContextScoreVisitor vis)
                                              throws IfsException

  Throws:
    `IfsException`
  (Unpublished)

### getViewStatement

    protected java.lang.String getViewStatement(ViewSpecification vsp,
                                                AttributeSearchSpecification asp)
                                         throws IfsException

  Throws:
    `IfsException`
  (Unpublished)

### getViewStatement

    protected java.lang.String getViewStatement(ViewSpecification vsp,
                                                ContextSearchSpecification csp,
                                                ContextTable[] ctxTabs)
                                         throws IfsException

  Throws:
    `IfsException`
  (Unpublished)

### generateViewSelectList

    protected java.lang.String generateViewSelectList(AttributeSearchSpecification asp,
                                                      ViewSpecification vsp)
                                               throws IfsException

  Throws:
    `IfsException`
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD